Bug 1281287 - Suspend causes a kernel crash
Suspend causes a kernel crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 04:01 EST by Berend De Schouwer
Modified: 2016-12-20 10:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:43:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel-type (10 bytes, text/plain)
2015-11-12 04:08 EST, Berend De Schouwer
no flags Details
kernel-analyzer (9 bytes, text/plain)
2015-11-12 04:09 EST, Berend De Schouwer
no flags Details
kernel-backtrace (1.93 KB, text/plain)
2015-11-12 04:10 EST, Berend De Schouwer
no flags Details
kernel-cmdline (200 bytes, text/plain)
2015-11-12 04:10 EST, Berend De Schouwer
no flags Details
kernel-kernel (21 bytes, text/plain)
2015-11-12 04:11 EST, Berend De Schouwer
no flags Details
kernel-os_info (518 bytes, text/plain)
2015-11-12 04:12 EST, Berend De Schouwer
no flags Details
kernel proc_modules (6.91 KB, text/plain)
2015-11-12 04:12 EST, Berend De Schouwer
no flags Details
kernel-reason (82 bytes, text/plain)
2015-11-12 04:13 EST, Berend De Schouwer
no flags Details
kernel suspend-stats (269 bytes, text/plain)
2015-11-12 04:14 EST, Berend De Schouwer
no flags Details
xorg-x11-drv-intel-backtrace (3.54 KB, text/plain)
2015-11-12 04:15 EST, Berend De Schouwer
no flags Details
xorg-x11-drv-intel dmesg (75.58 KB, text/plain)
2015-11-12 04:16 EST, Berend De Schouwer
no flags Details
lspci -v (10.24 KB, text/plain)
2015-11-12 04:19 EST, Berend De Schouwer
no flags Details
lsusb -v (65.00 KB, text/plain)
2015-11-12 04:19 EST, Berend De Schouwer
no flags Details

  None (edit)
Description Berend De Schouwer 2015-11-12 04:01:19 EST
Description of problem:

Suspend causes a kernel crash.  Every time I suspend abrt triggers on both the kernel and xorg-x11-drv-intel.

The kernel abrt is incomplete (because suspend), but because it happens on *most* suspends, and has happened on 4.2.5-300, 4.2.3-300 and 4.2.2-300, I thought I'd try and report it to the best of my ability.

It also has 548 similar reports in FAF.

It's hardware dependent.

gnome-abrt doesn't want to report by default, since the kernel has flags GW.  This is correct, but it's the stock Fedora kernel.

I used to get it with tainted realtek modules; but those were not loaded when getting this particular crash.


Version-Release number of selected component (if applicable):

kernel 4.2.5-300 (and 4.2.3-300 and 4.2.2-300)
xorg-x11-drv-intel (same versions)


How reproducible:

Most suspend operations


Steps to Reproduce:
1. boot
2. log in
3. suspend


Actual results:

The screen goes black.
The CPU (or at least motherboard) is still running, drawing a bit of power


Expected results:

Suspend.  Power consumption almost nil.


Additional info:

Fedora FAF related: https://retrace.fedoraproject.org/faf/reports/821282/
Comment 1 Berend De Schouwer 2015-11-12 04:06:43 EST
If it's not OK to report incomplete bugs here, please let me know.
Comment 2 Berend De Schouwer 2015-11-12 04:08 EST
Created attachment 1093066 [details]
kernel-type

kernel /var/spool/abrt/type
Comment 3 Berend De Schouwer 2015-11-12 04:09 EST
Created attachment 1093067 [details]
kernel-analyzer

kernel /var/spool/abrt/analyzer
Comment 4 Berend De Schouwer 2015-11-12 04:10 EST
Created attachment 1093068 [details]
kernel-backtrace

kernel /var/spool/abrt/backtrace
Comment 5 Berend De Schouwer 2015-11-12 04:10 EST
Created attachment 1093069 [details]
kernel-cmdline

kernel /var/spool/abrt/cmdline
Comment 6 Berend De Schouwer 2015-11-12 04:11 EST
Created attachment 1093070 [details]
kernel-kernel

kernel /var/spool/abrt/kernel
Comment 7 Berend De Schouwer 2015-11-12 04:12 EST
Created attachment 1093071 [details]
kernel-os_info

kernel /var/spool/abrt/os_info
Comment 8 Berend De Schouwer 2015-11-12 04:12 EST
Created attachment 1093072 [details]
kernel proc_modules

kernel /var/spool/abrt/proc_modules
Comment 9 Berend De Schouwer 2015-11-12 04:13 EST
Created attachment 1093074 [details]
kernel-reason

kernel /var/spool/abrt/reason
Comment 10 Berend De Schouwer 2015-11-12 04:14 EST
Created attachment 1093086 [details]
kernel suspend-stats

kernel /var/spool/abrt/suspend_stats
Comment 11 Berend De Schouwer 2015-11-12 04:15 EST
Created attachment 1093089 [details]
xorg-x11-drv-intel-backtrace

xorg-x11-drv-intel /var/spool/abrt/backtrace
Comment 12 Berend De Schouwer 2015-11-12 04:16 EST
Created attachment 1093090 [details]
xorg-x11-drv-intel dmesg

xorg-x11-drv-intel /var/spool/abrt/dmesg
Comment 13 Berend De Schouwer 2015-11-12 04:18:28 EST
I didn't duplicate os_info/suspend_stats, etc. The kernel crash had no dmesg, which is likely why it wasn't reportable.

I know that the xorg-x11-drv-intel bit has been reported before.  This (suspend kernel crash) looks like it's related because I get them in pairs in gnome-abrt

I've saved the /var/spool/abrt entries if you want any additional files.
Comment 14 Berend De Schouwer 2015-11-12 04:19 EST
Created attachment 1093092 [details]
lspci -v
Comment 15 Berend De Schouwer 2015-11-12 04:19 EST
Created attachment 1093093 [details]
lsusb -v
Comment 16 Fedora End Of Life 2016-11-24 08:20:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 10:43:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.